KRECIPES(1)

NAME
Krecipes - The TDE Cookbook

SYNOPSIS
krecipes [Qt-options] [TDE-options] [options]

DESCRIPTION
Krecipes is a program that lets you to manage your recipes, create shopping lists, choose a recipe based on available ingredients and plan your menu/diet in advance.

This manual page briefly describes its command line options.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

--convert-sqlite3
    Convert the current SQLite 2.x database to SQLite 3 and exit

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options

--display <displayname>
    Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  TDE options

--caption <caption>
    Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

--nofork
    Don't run in the background.

FILES

~/.trinity/share/config/krecipesrc
    Krecipes configuration file

SEE ALSO
Full user documentation is available through the TDE Help Center. You can also enter the URL help:/krecipes/ directly into konqueror or you can run khelpcenter help:/krecipes/ from the command-line.

AUTHORS
Jason Kivlighn <jkivlighn@gmail.com>
Unai Garro <ugarro@users.sourceforge.net>
Cyril Bosselut <bosselut@b1project.com>
Please use http://bugs.trinitydesktop.org to report bugs; do not mail the authors directly.

This manual page was written by Matthias Julius <mdeb@julius-net.net>, for the Debian project (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License version 2 can be found in /usr/share/common-licenses/GPL-2.